Bug 490039 - Review Request: pyftpdlib - Python FTP server library
Review Request: pyftpdlib - Python FTP server library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 18:33 EDT by Silas Sewell
Modified: 2009-03-31 03:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 03:50:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Silas Sewell 2009-03-12 18:33:08 EDT
Spec URL:
http://silassewell.googlecode.com/svn/trunk/projects/packages/rpms/python-ftpdlib/python-ftpdlib.spec
SRPM URL:
http://silassewell.googlecode.com/files/python-ftpdlib-0.5.1-2.src.rpm
Description: 
Python FTP server library provides a high-level portable interface to easily
write asynchronous FTP servers with Python. Based on asyncore framework
pyftpdlib is currently the most complete RFC-959 FTP server implementation
available for Python programming language.

I'll need a sponsor.
Comment 2 Mamoru TASAKA 2009-03-27 16:17:13 EDT
Some notes:

* Documents
  - Usually "INSTALL" is for people who want to install software
    by themselves and not needed for people using rpm.
    And for this package, this "INSTALL" file shows no information.

* %defattr
  - %defattr(644, root, root, 755) is the same as 
    %defattr(-.root,root,-), so this can be removed

* rpmlint
----------------------------------------------------------
pyftpdlib.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/pyftpdlib/ftpserver.py 0644
pyftpdlib.noarch: W: doc-file-dependency /usr/share/doc/pyftpdlib-0.5.1/demo/tls_ftpd.py /usr/bin/env
pyftpdlib.noarch: W: doc-file-dependency /usr/share/doc/pyftpdlib-0.5.1/test/test_ftpd.py /usr/bin/env
pyftpdlib.noarch: W: doc-file-dependency /usr/share/doc/pyftpdlib-0.5.1/demo/unix_ftpd.py /usr/bin/env
pyftpdlib.noarch: W: doc-file-dependency /usr/share/doc/pyftpdlib-0.5.1/demo/md5_ftpd.py /usr/bin/env
pyftpdlib.noarch: W: doc-file-dependency /usr/share/doc/pyftpdlib-0.5.1/demo/winnt_ftpd.py /usr/bin/env
pyftpdlib.noarch: W: doc-file-dependency /usr/share/doc/pyftpdlib-0.5.1/demo/basic_ftpd.py /usr/bin/env
pyftpdlib.noarch: W: doc-file-dependency /usr/share/doc/pyftpdlib-0.5.1/demo/throttled_ftpd.py /usr/bin/env
----------------------------------------------------------
  - For non-executable-script warning:
    If this script can be executed directly by users, then
    this script should have executable permission (i.e. 0755).
    Otherwise (i.e. if this script is to be called from other program),
    then the shebang on this script should be removed.

    This script has __main__ so it seems that this script should have
    0755 permission.

  - About doc-file-dependency
    This warnings can be removed by explicitly changing permissions
    under demo/ and test/ directory to 0644 at %prep, like:
----------------------------------------------------------
%prep
%setup -q
find demo/ test/ -type f | xargs chmod 0644
----------------------------------------------------------
Comment 4 Mamoru TASAKA 2009-03-28 13:07:50 EDT
Well,

- As far as I am correct, only ftpserver.py needs executable permission
  and usually .py{o,c} have 0644 permission.

Other things are okay.
------------------------------------------------------------
   This package (pyftpdlib) is APPROVED by mtasaka
------------------------------------------------------------
Comment 5 Silas Sewell 2009-03-28 13:50:05 EDT
I checked and you are correct, I fixed it in the SPEC/SRPM.
Comment 6 Silas Sewell 2009-03-28 13:52:12 EDT
New Package CVS Request
=======================
Package Name: pyftpdlib
Short Description: Python FTP server library
Owners: silas
Branches:
InitialCC:
Comment 7 Kevin Fenzi 2009-03-30 17:51:31 EDT
cvs done.
Comment 8 Silas Sewell 2009-03-31 03:50:22 EDT
Built for F-11, closing.

Thanks Mamoru and Kevin.

Note You need to log in before you can comment on or make changes to this bug.